<?php
 include 'config.php'; 
$fileBrowse = $_FILES['fileUpload']['tmp_name'];
$filePath = $_POST['filePath'] . "/" . $_FILES['fileUpload']['name'];
$access_token = $_POST['accesstoken'];
$fileContent = trim(file_get_contents($fileBrowse));
$finfo = new \finfo(FILEINFO_MIME_TYPE);
$mime = $finfo->buffer($fileContent);
$client_secret = $config['client_secret_upload'];
$hk = hash_hmac('sha256', $fileContent, $client_secret, true);
$hmac = base64_encode($hk);
$ur = array('Content-Type: ' . $mime, 'Authorization: Bearer ' . $access_token, 'path : ' . $filePath, 'hmac : ' . $hmac . '');
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $config['upload_file']);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_NOSIGNAL, 1);
curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 0);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, $fileContent);
curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, 0);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, 0);
curl_setopt($ch, CURLOPT_TCP_NODELAY, 1);
curl_setopt($ch, CURLOPT_HTTPHEADER, $ur);
$output = curl_exec($ch);
curl_close($ch);
$outputData = explode('', $output);
$data = (array) json_decode($outputData[1]);
if (isset($data['size'])) {
    $message = "File Uploaded Successfully";
} else {
    $message = "File Not Uploaded Successfully";
}
header("Location: uploaddoc.php?code=".$_POST['code']."&state=".$_POST['state']."&message=".$message); /* Redirect browser */
exit();
?>